Name: gaim
Version: 1.5.0
Release: 0.73.1.legacy
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://gaim.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/gaim/gaim-%{version}.tar.bz2

Patch0: gaim-0.76-xinput.patch

## Patches 100-199: Upstream CVS Backports
Patch156: gaim-1.5.0-yahoo-chatroom-ignore-on-join.patch
Patch157: gaim-1.5.0-it-yahoo_profile.patch
Patch158: gaim-1.5.0-strip-html-status.patch
Patch159: gaim-1.5.0-xmlnode-cleanup.patch
Patch160: gaim-1.5.0-crash-non-terminated-strings.patch
Patch161: gaim-1.5.0-silc-close-gaim_request-window-prpl-disconnect-p1.patch
Patch162: gaim-1.5.0-silc-close-gaim_request-window-prpl-disconnect-p2.patch
Patch163: gaim-1.5.0-silc-close-gaim_request-window-prpl-disconnect-p3.patch
Patch164: gaim-1.5.0-silc-close-gaim_request-window-prpl-disconnect-p4.patch
Patch165: gaim-1.5.0-silc-close-gaim_request-window-prpl-disconnect-p5.patch
Patch166: gaim-1.5.0-silc-close-gaim_request-window-prpl-disconnect-p6.patch
Patch167: gaim-1.5.0-msn-data-corruption-fix.patch
Patch168: gaim-1.5.0-msn-kill-convo-close-timeout-notices-p1.patch
Patch169: gaim-1.5.0-msn-kill-convo-close-timeout-notices-p2.patch
Patch170: gaim-1.5.0-msn-kill-convo-close-timeout-notices-p3.patch
Patch171: gaim-1.5.0-forceful-connection_disconnect-not-wipe-password.patch
Patch172: gaim-1.5.0-clipboard-leak-history-scroll.patch
Patch173: gaim-1.5.0-smileys-logtype-p1.patch
Patch174: gaim-1.5.0-smileys-logtype-p2.patch
Patch175: gaim-1.5.0-italics-ircs.patch
Patch176: gaim-1.5.0-authors.patch
Patch177: gaim-1.5.0-copyright.patch
Patch178: gaim-1.5.0-hacking-doc.patch
Patch179: gaim-1.5.0-doc-creation.patch
Patch180: gaim-1.5.0-aim-rate-limiting.patch


BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: A Gtk+ based multiprotocol instant messaging client
# For SSL capability
Requires: mozilla-nss >= 1.0.2
# Library Requirements
BuildRequires: libao-devel, audiofile-devel
BuildRequires: aspell-devel, mozilla-nss-devel >= 1.0.2, gtk2-devel
BuildRequires: mozilla-nspr-devel >= 1.0.2, mozilla-nss >= 1.0.2
#ExclusiveArch: %{ix86} x86_64 ia64 ppc s390 s390x

%description
Gaim allows you to talk to anyone using a variety of messaging 
protocols, including AIM (Oscar and TOC), ICQ, IRC, Yahoo!, 
MSN Messenger, Jabber, Gadu-Gadu, Napster, and Zephyr.  These 
protocols are implemented using a modular, easy to use design.  
To use a protocol, just add an account using the account editor.

Gaim supports many common features of other clients, as well as many 
unique features, such as perl scripting and C plugins.

Gaim is NOT affiliated with or endorsed by America Online, Inc., 
Microsoft Corporation, or Yahoo! Inc. or other messaging service 
providers.

%prep
%setup -q
%patch0 -p1

# CVS backports go here
%patch156 -p0
%patch157 -p0
%patch158 -p0
%patch159 -p0
%patch160 -p0
%patch161 -p0
%patch162 -p0
%patch163 -p0
%patch164 -p0
%patch165 -p0
%patch166 -p0
%patch167 -p0
%patch168 -p0
%patch169 -p0
%patch170 -p0
%patch171 -p0
%patch172 -p0
%patch173 -p0
%patch174 -p0
%patch175 -p0
%patch176 -p0
%patch177 -p0
%patch178 -p0
%patch179 -p0
%patch180 -p2

%build
# gaim prefers gnutls, but we only ship mozilla-nss for now
# disable gnutls explicitly for binary reproducibility to avoid surprises
%configure --program-transform-name= --disable-tcl --disable-tk --enable-gnutls=no --enable-nss=yes --with-perl-lib=%{buildroot}%{_prefix}
# FYI: smp flags causes build failure in 0.76
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
# Make a desktop file for rh73
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/
cp $RPM_BUILD_ROOT%{_datadir}/applications/gaim.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Internet/
# remove libtool libraries and static libraries
rm -f `find $RPM_BUILD_ROOT -name "*.la" -o -name "*.a"`
# remove the old perllocal.pod file
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
# remove relnot.so plugin since it is unusable for our package
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/relnot.so
# remove docklet.so plugin since it is unusable in rh 7.3
rm -f $RPM_BUILD_ROOT%{_libdir}/gaim/docklet.so

# make sure that we can write to all the files we've installed
# so that they are properly stripped
chmod -R u+w $RPM_BUILD_ROOT/*

%find_lang %{name}

%post 
/sbin/ldconfig -n %{_libdir}/gaim

%postun
/sbin/ldconfig -n %{_libdir}/gaim

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/CREDITS NEWS COPYING AUTHORS doc/FAQ README ChangeLog doc/PERL-HOWTO.dox
#%%config %{_sysconfdir}/CORBA/servers/gaim_applet.gnorba
%{_bindir}/*
%{_libdir}/gaim
%{_includedir}/gaim
%{_libdir}/pkgconfig/gaim.pc
%{_libdir}/libgaim*.so
%{_libdir}/libgaim*.so.0.*
%{_mandir}/*/*
#%%{_datadir}/applets/Network/gaim_applet.desktop
%{_datadir}/gnome/apps/Internet/gaim.desktop
%{_datadir}/applications/gaim.desktop
%{_datadir}/pixmaps/gaim
%{_datadir}/pixmaps/gaim.png
%{_datadir}/sounds/gaim
%{_libdir}/perl5/vendor_perl/*/*/*
#%%{_datadir}/pixmaps/gaim/*
#%%{_sysconfdir}/gaim/prefs.xml
#%%dir %{_sysconfdir}/gaim

%changelog
* Wed Jan 18 2006 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.5.0-0.73.1.legacy
- Updated to 1.5.0 to fix security issues
- Added CVS backport patches from FC4

* Mon May 23 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.3.0-0.73.1.legacy
- Updated to 1.3.0 to fix security issues

* Sun May  1 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.2.1-0.73.2.legacy
- Added fix for perl plugin

* Sat Apr 16 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.2.1-0.73.1.legacy
- Updated to 1.2.1 to fix security issues
- Added CVS backport patches from RHEL

* Thu Mar 10 2005 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.1.4-0.73.1.legacy
- Updated to 1.1.4 to fix security issues
- Added CVS backport patches from RHEL

* Fri Oct 22 2004 Craig Kelley <ckelley@ibnads.com> 1.0.2-0.FC0.73.0.legacy
- Updated to 1.0.2 to fix CAN-2004-0891

* Mon Sep 27 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 0.82.1-0.73.2.legacy
- Added mozilla-nspr-devel and mozilla-nss BuildRequires
- Specify mozilla version

* Sun Sep  5 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 0.82.1-0.73.1.legacy
- Updated to 0.82.1

* Sat Jun 12 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 0.78-0.73.1.legacy
- Rebuilt as Fedora Legacy update for rh73 (FL#1237)
- Disabled some requirements not available on rh73
- Removed Fedora specific config file and patches
- Created a desktop file for rh73
- Removed docklet.so plugin as it doesn't work in rh73

* Mon Jun 08 2004 Warren Togami <wtogami@redhat.com> 0.78-1.FC1
- FC1 update

* Mon Jun 08 2004 Warren Togami <wtogami@redhat.com> 0.78-7
- CVS backport 125: MSN disconnect on non-fatal error fix
               126: Paste html with img crash fix
               127: Misplaced free fix

* Sat Jun 05 2004 Warren Togami <wtogami@redhat.com> 0.78-4
- CVS backport 123: jabber disconnect fix
               124: log find click fix

* Sun May 30 2004 Warren Togami <wtogami@redhat.com> 0.78-2
- update to 0.78 (without SILC support for now)

* Sun May 09 2004 Warren Togami <wtogami@redhat.com> 0.77-7
- CVS backport 121: byte order badness and crashing copy & paste fix
               122: history.so scroll to bottom in new tabs fix

* Tue May 04 2004 Warren Togami <wtogami@redhat.com> 0.77-6
- CVS backport 118: x86-64 yahoo auth fix
               119: Copy/paste fixes for UCS-2 encoded selection
               120: IRC reconnect segfault fix
- remove relnot.so plugin because it is unusable in FC
- Default enable logging and history.so plugin
          enable autoreconnect plugin
- Fix Gnome Default url handler

* Thu Apr 29 2004 Warren Togami <wtogami@redhat.com> 0.77-3
- remove gnome-open manual, since 0.77 has "GNOME Default" as default.
- update default prefs.xml, disable buddy icons in buddy list
- CVS backport 114: plugin prefs saving fix
               115: autoreconn-suppress-dialogs
               116: fix smileys in dialogs
               117: gtk+ 2.0 compat

* Sun Apr 25 2004 Warren Togami <wtogami@redhat.com> 0.77-1
- 0.77, remove cvs backports

* Fri Apr 15 2004 Warren Togami <wtogami@redhat.com> 0.76-6
- CVS backports:
  111 Prevent Crash during password change if blank fields
  112 Prevent Crash if remote sends invalid characters
  113 Enable /etc/gaim/prefs.xml defaults for new profiles
- Tray Icon enabled by default
- Relabel internal version with V-R

* Fri Apr 14 2004 Warren Togami <wtogami@redhat.com> 0.76-5
- CVS backports: 
  102 Fix ^F keybinding when gtkrc is set to emacs mode
  103 Add Missing File: evolution-1.5.x buildability
  104 When MSN server intermittently has problems accessing buddy list, MSN will crash with 0.76
  105, 106, 107 MSN Error reporting fixes
  108 History plugin causes unnecessary horizontal scrollbars
  109 Fix the text replace plugin 
  110 Prevent message sending while offline

* Fri Apr 09 2004 Warren Togami <wtogami@redhat.com> 0.76-3
- CVS backport: Fix oscar tooltip misbehavior
                Fix yahoo more

* Thu Apr 01 2004 Warren Togami <wtogami@redhat.com> 0.76-2
- 0.76

* Sun Mar 28 2004 Warren Togami <wtogami@redhat.com>
- CVS snapshot
- more spec cleanups

* Tue Mar 16 2004 Warren Togami <wtogami@redhat.com>
- CVS snapshot, generated with automake-1.7.9
- update #4
- update #2 but disable
- #5 no longer needed
- default to gnome-open #6
- some spec cleanup

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 23 2004 Christopher Blizzard <blizzard@redhat.com> 1:0.75-1.1.0
- Include patch that fixes a bunch of buffer-related problems, mostly
  from nectar@freebsd.org and some of my own changes.

* Wed Jan 14 2004 Christopher Blizzard <blizzard@redhat.com> 1:0.75-0
- Update to 0.75.
- Remove mem leak patch that is already included in 0.75.
- Clean up a lot of old unused patches and old source tarballs.

* Fri Dec 12 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.74-10
- Add patch that fixes a large memory leak.

* Thu Dec 04 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.74-9
- Bump release to rebuild for fc2.

* Wed Nov 25 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.74-0
- Upgrade to 0.74
- Include libao-devel and startup-notification-devel to the
  buildreq list

* Mon Nov 03 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.71-2
- Add gtk2-devel to the buildreq list.

* Fri Oct 24 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.71-2
- Include patch that should fix some input problems for ja_JP users

* Fri Oct 17 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.71-1
- Include patch that updates the tray icon to a more recent version

* Mon Sep 29 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.70-0
- Update to 0.70

* Thu Sep 04 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.68-0
- Update to 0.68

* Tue Aug 26 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.66-2
- Change Instant Messenger to Messaging Client

* Wed Jul 23 2003 Jeremy Katz <katzj@redhat.com> 1:0.66-1
- 0.66

* Thu Jul 17 2003 Matt Wilson <msw@redhat.com> 1:0.65-1
- 0.65
- don't include .a or .la files

* Tue Jul 15 2003 Matt Wilson <msw@redhat.com> 1:0.64-2
- rebuild against gtkspell

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Christopher Blizzard <blizzard@redhat.com> 1:0.64-0
- 0.64

* Mon Apr 14 2003 Matt Wilson <msw@redhat.com> 1:0.61-1
- 0.61
- remove prefs patch, no longer needed

* Wed Apr  9 2003 Matt Wilson <msw@redhat.com> 1:0.59.8-1
- use system libtool (#88340)

* Wed Jan 29 2003 Christopher Blizzard <blizzard@redhat.com> 0.59.8-0
- Update to 0.59.8

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 18 2002 Elliot Lee <sopwith@redhat.com> 0.59-11
- Add libtoolize etc. steps

* Tue Dec 17 2002 Elliot Lee <sopwith@redhat.com> 0.59-10
- Rebuild

* Mon Nov 18 2002 Tim Powers <timp@redhat.com>
- build on all arches

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com> 0.59-7
- Include patch that uses htmlview instead of calling Netscape
  directly
- Include patch that turns off the buddy ticker and changes the button
  look to the (sane) default.

* Thu Aug 01 2002 Christopher Blizzard <blizzard@redhat.com>
- Fix .desktop file, and put it in the right place.
- More .desktop file fixes

* Tue Jun 25 2002 Christopher Blizzard <blizzard@redhat.com>
- Update to 0.59.
- Disable perl for now.

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 24 2002 Matt Wilson <msw@redhat.com> 0.58-1
- 0.58
- remove applet

* Fri Mar 22 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.53-1
- Langify

* Wed Mar 13 2002 Christopher Blizzard <blizzard@redhat.com>
- update 0.53

* Thu Feb 21 2002 Christopher Blizzard <blizzard@redhat.com>
- update to 0.52

* Tue Jan 29 2002 Christopher Blizzard <blizzard@redhat.com>
- update to 0.51

* Fri Sep 14 2001 Matt Wilson <msw@redhat.com>
- update to 0.43

* Fri Aug 03 2001 Christopher Blizzard <blizzard@redhat.com>
- Add BuildRequires for gnome-libs-devel (bug #44739)

* Mon Jul 02 2001 Christopher Blizzard <blizzard@redhat.com>
- Add BuildRequires for gnome-core-devel (bug #44739)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Feb 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- make it compile

* Sun Feb 11 2001 Tim Powers <timp@redhat.com>
- updated to 0.11.0pre4 (bug fixes)
- applied Bero's konqueror patch to fix kfm->konq

* Tue Dec  5 2000 Tim Powers <timp@redhat.com>
- updated to 0.11.0pre2
- enable gnome support
- updated ispell to aspell patch
- cleaned up file list

* Thu Nov 16 2000 Tim Powers <timp@redhat.com>
- updated to 0.10.3

* Fri Nov 10 2000 Tim Powers <timp@redhat.com> 
- update to 0.10.2

* Mon Sep 11 2000 Tim Powers <timp@redhat.com>
- some ideas taken from the package available at the gaim website, mainly to install the applet stuff too.

* Wed Aug 9 2000 Tim Powers <timp@redhat.com>
- added Serial so that we can upgrade from Helix packages from 6.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 18 2000 Tim Powers <timp@redhat.com>
- changed default spell checker to aspell from ispell, patched.
- requires aspell

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jun 22 2000 Tim Powers <timp@redhat.com>
- fixed problems with ldconfig PreReq, shouls have been /sbin/ldconfig

* Mon Jun 12 2000 Preston Brown <pbrown@redhat.com>
- 0.9.19
- fix ldconfig stuff

* Thu Jun 1 2000 Tim Powers <timp@redhat.com>
- cleaned up spec for use with RPM 4.0 (al la _sysconfdir _datadir etc)
- update to 0.9.17
- yay! a man page!

* Thu May 25 2000 Tim Powers <timp@redhat.com>
- we left a bunch of stuff out, pixmaps, plugins. Fixed
- added applnk entry

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- updated to 0.9.15

* Mon Apr 24 2000 Matt Wilson <msw@redhat.com>
- updated to 0.9.14

* Mon Apr 24 2000 Matt Wilson <msw@redhat.com>
- updated to 0.9.13

* Thu Feb 10 2000 Matt Wilson <msw@redhat.com>
- added patch to prevent floating point errors in lag-o-meter update
  code

* Wed Nov 10 1999 Tim Powers <timp@redhat.com>
- updated to 0.9.10

* Tue Jul 13 1999 Tim Powers <timp@redhat.com>
- rebuilt and put into Powertools 6.1

* Mon Jul 12 1999 Dale Lovelace <dale@redhat.com>
- First RPM Build
